@import 'colors';

.container {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  font-size: 12px;
  font-family: Roboto, 'Helvetica Neue', sans-serif;

  main {
    height: 100%;
    .mat-drawer-container.mat-sidenav-container {
      height: calc(100% - 64px);
      .mat-drawer-content.mat-sidenav-content {
        -webkit-backface-visibility: hidden;
        backface-visibility: hidden;
        position: relative;
        display: block;
        height: 100%;
        overflow: auto;
        min-height: 100%;
      }

      .mat-drawer-content.mat-sidenav-content.loggedIn {
        padding: 10px;
      }
    }

    .settings-button {
      justify-content: flex-end;
      display: flex;
    }
  }
}

.container.logout {
  .mat-drawer-container.mat-sidenav-container {
    height: 100% !important;
  }
}

a:link,
a:visited {
  text-decoration: none;
  color: @white;
}

.home {
  .app_logo {
    height: 50px;
    vertical-align: bottom;
  }
  .app_name {
    font-weight: lighter;
    font-size: 0.8em;
    letter-spacing: 0.05rem;
  }
}

.mat-toolbar {
  .spacer {
    flex: 1 1 auto;
  }
}
.mat-toolbar.logout {
  display: none;
}

.user_settings {
  cursor: pointer;

  label {
    font-size: 0.8em;
    font-weight: lighter;
    padding-right: 10px;
    cursor: pointer;
  }
  i {
    vertical-align: middle;
    cursor: pointer;
  }
}

.footer {
  z-index: 1;
  position: fixed;
  bottom: 0;
  display: flex;
  width: 100%;
  background-color: @white;
  border-top: 2px solid @blue;

  .spacer {
    flex: 1 1 auto;
  }

  .logo {
    padding-left: 10px;
    padding-right: 10px;

    img {
      height: 46px;
      margin-top: 10px;
    }
  }
}

.docs-component-viewer-sidenav {
  overflow: auto;
  max-width: 500px;
  transition: 1s !important;
  background: -moz-linear-gradient(-45deg, #095487 0%, #095487 100%) !important;
  background: -webkit-linear-gradient(
    -45deg,
    #095487 0%,
    #095487 100%
  ) !important;
  background: linear-gradient(45deg, #095487 0%, #095487 100%) !important;

  ul {
    list-style: none;
    padding: 0;
    height: calc(100% - 25px);
    flex-direction: column;
    display: flex;

    .spacer {
      flex: 1;
    }

    li {
      border-bottom-width: 1px;
      margin: 0;
      padding: 0 20px;
      border-color: rgba(0, 0, 0, 0.06);
      color: rgba(0, 0, 0, 0.54);
      box-sizing: border-box;
      display: flex;
      font-size: 14px;
      font-weight: 400;
      line-height: 47px;
      cursor: pointer;
      color: white;
      height: 47px;

      mat-icon {
        height: 100%;
        vertical-align: middle;
        line-height: 47px !important;
      }
    }

    li:hover {
      background-color: @lightBlue;
    }
  }
}

.docs-component-viewer-sidenav-reverse {
  bottom: 0;
  overflow: auto;
  height: 180px;
  background: -moz-linear-gradient(-45deg, #007855 0%, #0d8a57 100%) !important;
  background: -webkit-linear-gradient(
    -45deg,
    #007855 0%,
    #0d8a57 100%
  ) !important;
  background: linear-gradient(45deg, #007855 0%, #0d8a57 100%) !important;
  z-index: 3 !important;

  ul {
    list-style: none;
    padding: 0;

    li {
      border-bottom-width: 1px;
      margin: 0;
      padding: 0;
      border-color: rgba(0, 0, 0, 0.06);
      color: rgba(0, 0, 0, 0.54);
      box-sizing: border-box;
      font-size: 14px;
      font-weight: 400;
      line-height: 47px;
      padding: 0 20px;
      position: relative;
      cursor: pointer;
      color: white;

      mat-icon {
        height: 100%;
        vertical-align: middle;
      }
    }

    li:hover {
      background-color: @lightBlue;
    }
  }
}

.material-icons {
  vertical-align: middle;
}

.active-list-item {
  .material-icons {
    transform: scale(1.1);
  }
  color: @secondColor !important;
  box-shadow: inset 5px 0px 0px 0px @secondColor !important;
}

.mat-drawer-inner-container {
  overflow-y: hidden !important;
}

.small_menu {
  max-width: 70px;
}

.mat-sidenav-content {
  transition: margin-left 0.3s !important;
}

.reduced_menu {
  margin-left: 70px !important;
  transition: margin-left 0.3s !important;
}

.menu_label {
  display: inline-block;
  padding-left: 10px;
  overflow-x: hidden;
}

.menu_label_expanded {
  max-width: 0px;
}

.menu_button {
  width: 100%;
}

.icon-stick {
  height: 47px;
  font-size: 30px !important;
  color: white;
}

.icon_stick_rotated {
  transform: rotate(180deg);
  float: right;
}

.help {
  color: white;
}

.help-small {
  position: absolute;
  bottom: 0;
  padding-bottom: 60px;
  color: white;
}
